Subject: [Healeys] Healey steering,

From: "Randy Dickson" <[email-masked]>
Date: Wed, 5 Nov 2014 08:17:43 -0600

Fellow Healeyoids, 
The steering box on my BJ-7 is shot and leaks more than a Russian submarine.
I'm looking to get a Denis Welch constant clearance worm and have the box
rebuilt by my mechanic.  Question:  Should I get Standard or high ratio set?
I'm going to order today.  I'm just doing spirited street driving, some long
distances most drives are short, limited episodes of parking.  I'm leaning
toward the high ratio.  Thoughts, suggestions?   Thanks!

Randy in Wisconsin

1963 BJ-7
1960 BT-7
1968 Morris Cooper S
1966 427 Cobra replica
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys